* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  font-family: "Rubik", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #000;
  overflow-x: hidden;
}

.container {
  max-width: 120rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.subheading {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  color: #b52626;
  text-transform: uppercase;
  margin-bottom: 1.6rem;
  letter-spacing: 0.75px;
}

.heading-secondary {
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 9.6rem;
}

.grid {
  display: grid;
  column-gap: 6.4rem;
  row-gap: 8rem;
}

.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}

/* 
  HEADER
*/

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* background-color: #e9aaaa; */
  background-color: #eee;
  height: 9.6rem;
  padding: 0 4.8rem;
  position: relative;
}

.main-nav-list {
  list-style: none;
  text-decoration: none;
  display: flex;
  align-items: center;
  gap: 4.8rem;
}

.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  color: #000;
  font-weight: 500;
  font-size: 1.8rem;
}

.main-nav-link:hover,
.main-nav-link:active {
  color: #b52626;
}

.main-nav-link.nav-quote:link,
.main-nav-link.nav-quote:visited {
  padding: 1.2rem 2.4rem;
  border-radius: 9px;
  color: #fff;
  background-color: #c92a2a;
}

.main-nav-link.nav-quote:hover,
.main-nav-link.nav-quote:active {
  background-color: #b52626;
}

/* 
  MOBILE
*/
.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;

  display: none;
}

.icon-mobile-nav {
  height: 4.8rem;
  width: 4.8rem;
  color: #333;
}

.icon-mobile-nav[name="close-outline"] {
  display: none;
}

/* 
  HERO
*/

.section-hero {
  /* background-color: #e9aaaa; */

  padding: 4.8rem 0 9.6rem 0;
}

.hero {
  max-width: 130rem;
  margin: 0 auto;
  padding: 0 3.2rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 9.6rem;
  align-items: center;
}

.heading-primary {
  font-weight: 800;
  color: #c92a2a;
  letter-spacing: -0.5px;
  font-size: 5.2rem;
  line-height: 1.05;
  margin-bottom: 3.2rem;
}

.hero-description {
  font-size: 2rem;
  line-height: 1.6;
  margin-bottom: 4.8rem;
}

.hero-img {
  width: 100%;
}

.btn,
.btn:link,
.btn:visited {
  display: inline-block;
  font-size: 2rem;
  font-weight: 600;
  text-decoration: none;
  padding: 1.6rem 3.2rem;
  border-radius: 9px;
  border: none;
  cursor: pointer;
}

.btn--full:link,
.btn--full:visited {
  background-color: #c92a2a;
  color: #fff;
}
/* 
  SERVICES
*/
.section-services {
  padding: 9.6rem 0;
  /* background-color: #faeaea; */
}

.service {
  background-color: #eee;
  padding: 1.2rem;
  display: grid;
  border-radius: 9px;
}

.service-icon {
  color: #fff;
  height: 2.4rem;
  width: 2.4rem;
  background-color: #c92a2a;
  margin-bottom: 3.2rem;
  padding: 1.6rem;
  border-radius: 50%;
  align-self: center;
  justify-self: center;
}

.service-title {
  font-size: 2rem;
  color: #333;
  font-weight: 700;
  margin-bottom: 1.6rem;
  align-self: center;
  justify-self: center;
}

.service-text {
  font-size: 1.6rem;
  line-height: 1.8;
  list-style: none;
}

/* 
  GALLERY
*/

.section-gallery {
  /* background-color: #e9aaaa; */
  background-color: #eee;
  padding: 4.8rem 0 9.6rem 0;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.6rem;
  padding: 1.6rem;
  align-items: stretch;
  justify-content: stretch;
  align-self: stretch;
  justify-self: stretch;
}

.gallery-item {
  overflow: hidden;
}

.gallery-item img {
  display: block;
  width: 100%;
  transition: all 0.4s;
}

.gallery-item img:hover {
  transform: scale(1.1);
}

/* 
  CALL TO ACTION
*/

.section-cta {
  padding: 4.8rem 0 12.8rem 0;
  /* background-color: #faeaea; */
}

.cta {
  display: grid;
  grid-template-columns: 2fr 1fr;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.15);
  border-radius: 11px;
  background-image: linear-gradient(to right bottom, #ff6b6b, #c92a2a);
  overflow: hidden;
}

.cta-text-box {
  padding: 4.8rem 6.4rem 6.4rem 6.4rem;
  color: #fff;
}

.cta-text {
  font-size: 1.8rem;
  line-height: 1.8;
  margin-bottom: 4.8rem;
}

.cta-img-box {
  background-image: linear-gradient(
      to right bottom,
      rgba(255, 107, 107, 0.356),
      rgba(201, 42, 42, 0.349)
    ),
    url("../img/handyman_ready.jpg");
  background-size: cover;
  background-position: center;
}

.cta-form {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 3.2rem;
  row-gap: 2.4rem;
}

.cta-form label {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  margin-bottom: 1.2rem;
}

.cta-form input,
.cta-form select {
  width: 100%;
  padding: 1.2rem;
  font-size: 1.8rem;
  font-family: inherit;
  color: #555;
  border: none;
  background-color: #fdf2e9;
  border-radius: 0.9rem;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
}

.cta-form input::placeholder {
  color: #aaa;
}

.cta *:focus {
  outline: none;
  box-shadow: 0 0 0 0.8rem rgba(238, 82, 65, 0.5);
}

.btn--form {
  background-color: #f4d4d4;
  align-self: end;
  padding: 1.2rem;
}

/* ************************** */
/* FOOTER
/* *************************** */

.footer {
  padding: 12.8rem 0;
  border-top: 0.1px solid #f03e3e;
  background-color: #eee;
  /* color: #fff; */
  color: #f03e3e;
}

.grid--footer {
  grid-template-columns: 1fr 1fr;
  column-gap: 1.2rem;
  /* background-color: #f03e3e; */
  padding: 2rem 5.2rem 2rem 5.2rem;
}

.logo-col {
  display: flex;
  flex-direction: column;
}

.footer-logo {
  display: block;
  margin-bottom: 3.2rem;
}

.social-links {
  list-style-type: none;
  display: flex;
  gap: 2.4rem;
}

.social-icon {
  height: 3rem;
  width: 3rem;
}

.copyright {
  font-size: 1.4rem;
  line-height: 1.6;
  margin-top: auto;
}

.footer-heading {
  font-size: 1.8rem;
  font-weight: 500;
  margin-bottom: 4rem;
  text-decoration: underline;
}

.contacts {
  font-style: normal;
  font-size: 1.8rem;
  line-height: 1.6;
}

.address {
  margin-bottom: 2.4rem;
}

.logo {
  height: 6rem;
}

.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  font-size: 1.6rem;
  color: #f03e3e;
  transition: all 0.3s;
}

.footer-link:hover,
.footer-link:active {
  color: #444;
}

.sticky .header {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 8rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: rgba(255, 255, 255, 0.97);
  z-index: 999;
  box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);
}

.sticky .section-hero {
  margin-top: 9.6rem;
}

/* ************************** */
/* FOOTER
/* *************************** */

.modal {
  display: none;
  position: fixed;
  z-index: 1;
  padding: 1em 6.2em 0 6.2em;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: #000;
}

.modal-content {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: auto;
  padding: 0 0 0 0;
  width: 80%;
  max-width: 120rem;
}

.slide {
  display: none;
}

.snackbars {
  padding: 9px 16px;
  margin-left: auto;
  margin-right: auto;
  color: #ffffff;
  text-align: left;
  background-color: #323337;
  border-radius: 0;
  box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.15);
  font-size: 14px;
}
